Package org.globus.ftp

# Class ChecksumOptions

java.lang.Object
org.globus.ftp.Options
org.globus.ftp.ChecksumOptions

public class ChecksumOptions extends Options
CKSM options as defined in GridFTP.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ChecksumAlgorithm`
`algo`

### Fields inherited from class org.globus.ftp.Options

`command`

## Constructor Summary

Constructors
Constructor
Description
`ChecksumOptions(ChecksumAlgorithm algo)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getArgument()`
Subclasses should implement this method.

### Methods inherited from class org.globus.ftp.Options

`toFtpCmdArgument`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### algo

protected ChecksumAlgorithm algo

## Constructor Details

### ChecksumOptions

public ChecksumOptions(ChecksumAlgorithm algo)

Parameters:
  `algo` - algorithm whose options are represent by this object

## Method Details

### getArgument

public String getArgument()
Subclasses should implement this method. It should return the right side of the options line, in the format of OPTS command. It should not include the command name.

Specified by:
  `getArgument` in class `Options`